[tox]
envlist =
    py312
    py313
    py314

    linters
skipsdist = True

[testenv]
sitepackages = False
deps = coverage
       -r requirements.txt

commands =
    python manage.py compilemessages -i .tox -i venv
    coverage run --source=api,draw,logs,participation,registration,tfjm ./manage.py test api/ chat/ draw/ logs/ participation/ registration/ tfjm/
    coverage report -m

[testenv:linters]
deps =
    flake8
    flake8-colors
    flake8-django
    flake8-import-order
    flake8-typing-imports
    pep8-naming
    pyflakes
commands =
    flake8 api/ chat/ draw/ logs/ participation/ registration/ tfjm/

[flake8]
exclude =
    .tox,
    .git,
    __pycache__,
    build,
    dist,
    *.pyc,
    *.egg-info,
    .cache,
    .eggs,
    *migrations*
max-complexity = 15
max-line-length = 160
import-order-style = google
application-import-names = flake8
#format = ${cyan}%(path)s${reset}:${yellow_bold}%(row)d${reset}:${green_bold}%(col)d${reset}: ${red_bold}%(code)s${reset} %(text)s
